<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
<title th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).PROPERTY_PROJECT_NAME}}"></title>
</head>
<body>
  <div th:fragment="mycontracts" sec:authorize="hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_CONTRACTS_READ) and hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_CONTRACTS_WIDGET)" th:if="${not #lists.isEmpty(contracts)}">
    <h3 class="ui header" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_CONTRACTS}}"></h3>
    <div class="ui divider"></div>
    <div class="ui card full-width" th:each="contract : ${contracts}">
      <div class="content">
        <div class="meta">
          <h4 class="ui header" data-inverted="" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}" th:data-tooltip="${contract.name}">
            <a th:href="@{${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_CONTRACTS} + '/' + ${contract.id} + ${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_UPDATE}}" th:text="${#strings.length(contract.name) > 45 ? #strings.substring(contract.name, 0, 42) + ' ...' : contract.name}"></a>
          </h4>
        </div>
      </div>
      <div class="extra content">
        <div class="right floated">
          <a data-inverted="" data-variation="mini" th:data-tooltip="#{${T(pt.com.scrumify.helpers.ConstantsHelper).COMMON_SPENT_HOURS}}" th:onclick="@{${'copytoclipboard(''' + contract.timeSpent + ''');'}}">
            <th:block th:text="${#numbers.formatDecimal(contract.timeSpent, 0, 'POINT', 0, 'COMMA')}"></th:block>
          </a>
          /
          <a data-inverted="" data-variation="mini" th:data-tooltip="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_HOURS}}" th:onclick="@{${'copytoclipboard(''' + contract.hours + ''');'}}">
            <th:block th:text="${#numbers.formatDecimal(contract.hours, 0, 'POINT', 0, 'COMMA')}"></th:block>
          </a>
        </div>
        <a target="blank" sec:authorize="hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_CONTRACTS_WIDGET)" th:each="prop : ${contract.properties}" th:if="${prop.pk.property.name == 'WMU' and prop.value != '-'}" th:href="${'https://mme.accenture.com/Mobile/Summary.aspx?WMU=' + prop.value + '&Client=1308&amp;Currency=true'}">
          <i class="globe icon"></i>
        </a>
        <a data-inverted="" data-variation="mini" th:data-tooltip="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_STARTINGDATE}}" th:onclick="@{${'copytoclipboard(''' + #dates.format(contract.startingDay.date, T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_FORMAT_DATE) + ''');'}}">
          <th:block th:text="${#dates.format(contract.startingDay.date, T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_FORMAT_DATE)}"></th:block>
        </a>
        <a data-inverted="" data-variation="mini" th:data-tooltip="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_ENDINGDATE}}" th:onclick="@{${'copytoclipboard(''' + #dates.format(contract.endingDay.date, T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_FORMAT_DATE) + ''');'}}">
          <th:block th:text="${#dates.format(contract.endingDay.date, T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_FORMAT_DATE)}"></th:block>
        </a>
      </div>
      <th:block th:replace="common/fragments/elements :: attached-progress(${contract.progress}, ${contract.progressTotal}, 'bottom', false)" />
    </div>
  </div>
</body>
</html>